package de.samdev.colorrunner.game.world.entities.gameentities.floor;

import com.badlogic.gdx.graphics.Texture;

import de.samdev.colorrunner.game.renderer.CRAssets;
import de.samdev.colorrunner.game.world.CRGameWorld;
import de.samdev.colorrunner.game.world.SwipeDirection;

public class LeftStateFloorTileEntity extends FloorTileEntity {
	public final SwipeDirection PHASE = SwipeDirection.LEFT;

	public LeftStateFloorTileEntity(CRGameWorld _owner, float x, float y) {
		super(_owner, x, y);
	}

	@Override
	public Texture getTexture() {
		return CRAssets.TEX_FLOORTILE_LEFT;
	}

	@Override
	public SwipeDirection getPhase() {
		return PHASE;
	}
}
